Zum Hauptinhalt springen

Get notification settings for a user

GET/v2/notification-settings
API-Version
v2
Request-Methode
GET
Operation-ID
notifications-get-notification-settings

Settings are provided for each message type: Channels for each message type can be active and editable.

Request​

Keine Request-Parameter.

Responses​

Format
application/json
Beschreibung

Channel settings per message type

  • messageTypesobjectrequired
    • *object
      • channelsobjectrequired
        • emailobjectrequired
          • activebooleanrequired
          • editablebooleanrequired
        • frontendNotificationobjectrequired
          • activebooleanrequired
          • editablebooleanrequired
Content-Type: application/json

{
"messageTypes": {
"string": {
"channels": {
"email": {
"active": true,
"editable": true
},
"frontendNotification": {
"active": true,
"editable": true
}
}
}
}
}
{
"properties": {
"messageTypes": {
"additionalProperties": {
"properties": {
"channels": {
"properties": {
"email": {
"properties": {
"active": {
"type": "boolean"
},
"editable": {
"type": "boolean"
}
},
"required": [
"active",
"editable"
],
"type": "object"
},
"frontendNotification": {
"properties": {
"active": {
"type": "boolean"
},
"editable": {
"type": "boolean"
}
},
"required": [
"active",
"editable"
],
"type": "object"
}
},
"required": [
"email",
"frontendNotification"
],
"type": "object"
}
},
"required": [
"channels"
],
"type": "object"
},
"type": "object"
}
},
"required": [
"messageTypes"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/notification-settings
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.notification.notificationsGetNotificationSettings({});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Notification\NotificationsGetNotificationSettings\NotificationsGetNotificationSettingsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new NotificationsGetNotificationSettingsRequest());
$response = $client->notification()->notificationsGetNotificationSettings($request);

var_dump($response->getBody();

Auf dieser Seite